Bug 465956 - (CVE-2008-4437) CVE-2008-4437 bugzilla directory traversal flaw
CVE-2008-4437 bugzilla directory traversal flaw
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
impact=moderate,source=cve,reported=2...
: Security
Depends On: 465957 465958 465959 484756 484757 484758
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-07 08:53 EDT by Josh Bressers
Modified: 2010-12-23 19:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-23 19:12:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2008-10-07 08:53:25 EDT
Directory traversal vulnerability in importxml.pl in Bugzilla before 2.22.5, and 3.x before 3.0.5, when --attach_path is enabled, allows remote attackers to read arbitrary files via an XML file with a .. (dot dot) in the data element.

https://bugzilla.mozilla.org/show_bug.cgi?id=437169
http://www.bugzilla.org/security/2.22.4/
http://www.securityfocus.com/bid/30661
http://www.frsirt.com/english/advisories/2008/2344
http://secunia.com/advisories/31444
Comment 1 Josh Bressers 2008-10-07 08:53:56 EDT
Created bugzilla tracking bugs for this issue

CVE-2008-4437 Affects: F8 [bug #465957]
CVE-2008-4437 Affects: F9 [bug #465958]
CVE-2008-4437 Affects: Fdevel [bug #465959]
Comment 2 Fedora Update System 2009-03-05 10:50:25 EST
bugzilla-3.2.2-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/bugzilla-3.2.2-2.fc9
Comment 3 Fedora Update System 2009-03-05 10:52:47 EST
bugzilla-3.2.2-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/bugzilla-3.2.2-2.fc10
Comment 4 Fedora Update System 2009-03-18 14:56:08 EDT
bugzilla-3.2.2-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2009-03-18 15:03:45 EDT
bugzilla-3.2.2-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.